#Commands ran every tick, all the time
effect give @a[team=lobby] saturation 100 100 true
tag @a[scores={crouching=1},tag=hb_player] add hb_crouched_player
tag @a[scores={crouching=1},tag=hb_player] remove hb_player
tag @a[scores={crouching=0},tag=hb_crouched_player] remove hb_crouched_player
tag @a[tag=!hb_player,tag=!hb_crouched_player] add hb_player
execute as @e[tag=grenade] run scoreboard players operation @s arc = @s arcRate
execute as @e[tag=grenade] at @s unless entity @s[scores={arcRate=0}] run function projectile:arc
execute as @e[tag=raycast] run scoreboard players operation @s j = @s speed
execute as @e[tag=raycast] at @s run function projectile:ray
execute as @e[tag=turret_base,tag=!prepared] at @s run function classes:mechanic/turret/prepare_base
execute as @e[tag=turret_base] at @s run function classes:mechanic/turret/health
execute as @e[tag=turret,tag=!prepared] at @s run function classes:mechanic/turret/prepare
execute as @e[tag=turret,tag=prepared] at @s run function classes:mechanic/turret/standby
execute as @e[tag=healing_machine] at @s run function classes:scientist/healing_machine/standby
execute as @e[tag=mine] at @s run function classes:bomber/mine/standby
kill @e[nbt={Effects:[{Id:11b}]},type=area_effect_cloud]
execute if score Mission Numbers matches 1.. run function gamemode:countdown
team join blue @a[x=4,y=195,z=8,dx=2,dy=3,dz=2]
tp @a[x=4,y=195,z=8,dx=2,dy=3,dz=2,team=blue] 6 195 -1 90 0
team join red @a[x=10,y=195,z=8,dx=2,dy=3,dz=2]
tp @a[x=10,y=195,z=8,dx=2,dy=3,dz=2,team=red] 10 195 -1 -90 0
execute as @a[x=7,y=195,z=27,dx=2,dy=3,dz=2] at @s if block ~ ~ ~ light_gray_carpet run team join spectator @s
execute if entity @a[tag=in_game] run gamemode spectator @a[x=7,y=195,z=27,dx=2,dy=3,dz=2,team=spectator]
execute if entity @a[tag=in_game] run tp @a[x=7,y=195,z=27,dx=2,dy=3,dz=2,team=spectator] 20015 15 15
execute as @a[team=spectator,gamemode=adventure] at @s unless block ~ ~ ~ light_gray_carpet run team join lobby @s
tag @a[tag=!awaiting,tag=!in_game,x=3,y=195,z=-10,dx=11,dy=1,dz=15] add awaiting
kill @e[type=!player,x=3,y=195,z=-10,dx=11,dy=1,dz=15]
execute unless entity @a[tag=in_game] run particle minecraft:angry_villager 8.75 195.06 28.49 .5 .5 .5 .01 2 force
execute as @a[tag=!spawned] at @s run function load:spawn
execute if score Prestart Numbers matches ..119 if score ActiveMode Numbers matches 1.. run function gamemode:loading_gamemode
execute if score ActiveMode Numbers matches 1 unless score Prestart Numbers matches ..119 run function gamemode:duel_running
execute if score ActiveMode Numbers matches 2 unless score Prestart Numbers matches ..119 run function gamemode:tdm_running
execute if score ActiveMode Numbers matches 3 unless score Prestart Numbers matches ..119 run function gamemode:setback_running
execute as @a[gamemode=spectator,team=spectator,tag=!in_game] at @s if block ~ ~ ~ barrier run function load:spawn
execute if entity @a[tag=trainee] run function gamemode:training
execute as @a[scores={invis=1..}] at @s run function classes:infiltraitor/cloak/timer
execute as @a[scores={over_heal=1..}] at @s run function classes:healer/over_heal/timer
execute as @a[scores={resist=1..}] at @s run function classes:rocketeer/resist/timer
execute as @a[scores={invulnerable=1..}] at @s run function classes:brawler/defensive_stance/timer
kill @e[type=item]
execute as @a[gamemode=adventure] run function classes:clear_inventory
effect give @a[scores={energy=0}] saturation 1 1 true
function gamemode:floating_heads
scoreboard players enable @a[team=lobby] worm_hole
execute as @a[team=!lobby] run trigger worm_hole add 0
execute as @a[scores={worm_hole=1..}] at @s run function gamemode:worm_hole_tp
execute as @a at @s store result score @s ypos run data get entity @s Pos[1]
scoreboard players add @a[gamemode=adventure,scores={ypos=..-10}] damage 100
execute as @e[tag=flash_grenade,type=armor_stand,nbt={OnGround:1b}] at @s run function classes:mobility/flash_drop/land
execute as @e[tag=energy_orb,type=area_effect_cloud] at @s run function classes:shocksmith/energy_sap/follow
execute as @e[tag=deployed_health_pack,type=armor_stand] at @s run function classes:healer/health_pack/standby
execute as @e[type=item_frame,tag=weak_health,scores={j=50},nbt=!{Item:{id:"minecraft:baked_potato",Count:1b,tag:{CustomModelData:11000001}}}] run data merge entity @s {Item:{id:"minecraft:baked_potato",Count:1b,Invulnerable:1b,tag:{CustomModelData:11000001}}}
execute as @e[type=item_frame,tag=weak_health,scores={j=0},nbt=!{Item:{id:"minecraft:baked_potato",Count:1b,tag:{CustomModelData:11000003}}}] run data merge entity @s {Item:{id:"minecraft:baked_potato",Count:1b,Invulnerable:1b,tag:{CustomModelData:11000003}}}
execute as @e[type=item_frame,tag=strong_health,scores={j=100},nbt=!{Item:{id:"minecraft:baked_potato",Count:1b,tag:{CustomModelData:11000000}}}] run data merge entity @s {Item:{id:"minecraft:baked_potato",Count:1b,Invulnerable:1b,tag:{CustomModelData:11000000}}}
execute as @e[type=item_frame,tag=strong_health,scores={j=0},nbt=!{Item:{id:"minecraft:baked_potato",Count:1b,tag:{CustomModelData:11000002}}}] run data merge entity @s {Item:{id:"minecraft:baked_potato",Count:1b,Invulnerable:1b,tag:{CustomModelData:11000002}}}
replaceitem entity @a[nbt={Inventory:[{Slot:-106b}]},nbt=!{Inventory:[{Slot:-106b,id:"minecraft:arrow"}]}] weapon.offhand air
scoreboard players reset @a[scores={j=200..}] j
execute as @a[scores={talkToCharacter=1..}] at @s run function tick:talk_to_character
execute as @a[scores={talkToCharacter=..-1}] at @s run function tick:talk_to_character_cooldown
execute as @e[type=armor_stand,tag=healing_machine_display] at @s unless entity @e[type=slime,tag=healing_machine,distance=..1] run kill @s
execute as @e[type=item_frame,nbt=!{ItemRotation:0b}] run data merge entity @s {ItemRotation:0b}
execute as @a[scores={Class=1..},team=!lobby,team=!spectator] at @s run function classes:finder
title @a[team=spectator] actionbar ["",{"text":"[","color":"gray"},{"text":"Spectating, leave the area to quit.","color":"green"},{"text":"]","color":"gray"}]
function health:tick
function archives:main